%global pypi_name XStatic-Angular-Gettext

Name:           python-XStatic-Angular-Gettext
Version:        2.1.0.2
Release:        1%{?dist}
Summary:        Angular-gettext (XStatic packaging standard)

License:        MIT
URL:            https://github.com/rubenv/angular-gettext
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem

%description
Angular-gettext javascript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf XStatic_Angular_gettext.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_gettext'|" xstatic/pkg/angular_gettext/__init__.py

%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}/%{_jsdir}/angular_gettext
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_gettext/data/angular-gettext.js %{buildroot}/%{_jsdir}/angular_gettext/



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_gettext
%{python2_sitelib}/XStatic_Angular_Gettext-%{version}-py?.?.egg-info
%{python2_sitelib}/XStatic_Angular_Gettext-%{version}-py?.?-nspkg.pth
%{_jsdir}/angular_gettext
                                
                                
%changelog
* Thu Aug 06 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2.1.0.2-1
- Initial package


